Subject: Re: [WIP][PATCHES] Network xmit batching

From: Rick Jones <[email-masked]>
Date: Mon, 25 Jun 2007 10:35:14 -0700

Evgeniy Polyakov wrote:
> On Thu, Jun 21, 2007 at 02:00:07PM -0700, Rick Jones ([email-masked]) wrote:
> 
>>>Simple test included test -> desktop and vice versa traffic with 128 and
>>>4096 block size in netperf-2.4.3 setup.
>>
>>Is that in conjunction with setting the test-specific -D to set
>>TCP_NODELAY, or was Nagle left-on?  If the latter, perhaps timing issues
>>could be why the confidence intervals weren't hit since the relative
>>batching of 128byte sends into larger segments is something of a race.
> 
> 
> I used this parameters:
> netperf -l 60 -H kano -t TCP_STREAM -i 10,2 -I 99,5 -- -m 128 -s 128K
> -S 128K

You can take -i up to 30 for the max count if you want to try to hit the 
levels.

> 
> so without nodelay.
> 
> With nodelay I've gotten:
> batch-128: 128.91 mbit/sec
> mainline-128: 140.57 mbit/sec
> 
> which is about 5 times less than withouth nodelay (~760 mbit/s)
> Although nodelay results look more realistic.

all that fun send batching that happens without nodelay :)

rick jones

>>rick jones